function  G = Gauss( sigma )
%Return a twodimensional matrix with a Gaussian kernel at scale sigma.

M=2.5 * sigma;
N=2.5 * sigma;

% create appropriate ranges for x and y
x = -M:M;
y = -N:N;
% create a sampling grid
[X, Y] = meshgrid (x, y);

e=exp(1);      %2.71828;

% calculate the Gaussian function
G = 1 / ((sqrt(2*pi)*sigma)^2);
G = G * e.^((X.^2 + Y.^2) / (-2*sigma^2));
