function g  = gD(f, sigma, xorder, yorder)
%Return an image with the Gaussion derivative applied to f
% x- and yorder can be set to 0, 1 and 2, denoting the order of derivation.

X = [-2.5*sigma:2.5*sigma];
% Zeroth, first and second gaussian derivatives:
gD = [ Gauss1(sigma); ...
       (-X ./ (sigma^2)) .* Gauss1(sigma); ...
       (-1 / (sigma^2)) .* ((1 - (X.^2) / (sigma^2))) .* Gauss1(sigma) ];

%Apply both x and y derivatives to image, at the requested order
%(note that gD of y has to be transposed)
g = imfilter(f, gD(xorder+1,:), 'conv', 'replicate');
g = imfilter(g, gD(yorder+1,:)', 'conv', 'replicate');
